Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Mon, 18 Jul 2022 16:06:51 +0000

And I just pushed an improved heuristic to detect long lines.  The code to 
detect whether the buffer contains long lines will only be executed when 
two or more characters have been added in the buffer since last redisplay, 
which means that normal typing (that is, one character at a time) is now 
entirely unaffected by that detection code.  On my laptop that code takes 
only 1 ms in a 20 MiB large buffer, but that's still too much for my 
taste.

Of course in theory one could add a very long line, one character at a 
time, in a buffer, but doing so without sometimes adding two characters 
between two redisplays is near to impossible.